org.richfaces.component

## Class UINotifyMessages

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessages
      - - org.richfaces.component.AbstractNotifyMessages
        - - org.richfaces.component.UINotifyMessages

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.AjaxOutput, ClientSideMessage, org.richfaces.component.NotifyAttributes
  Direct Known Subclasses:
    HtmlNotifyMessages

      @Generated(value={"RichFaces CDK","4.3.0.20121024-M2"})
      public class UINotifyMessages
      extends AbstractNotifyMessages
      implements org.ajax4jsf.component.AjaxOutput, ClientSideMessage, org.richfaces.component.NotifyAttributes

  The <rich:notifyMessages> component is the same as the <rich:notifyMessage> component, but each of the available messages generates one notification.

  Author:
    Lukas Fryc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UINotifyMessages.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UINotifyMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getAnimationSpeed()`
    `String` | `getAppearAnimation()`
    `Integer` | `getDelay()`
    `String` | `getFamily()`
    `String` | `getHideAnimation()`
    `Double` | `getNonblockingOpacity()`
    `String` | `getStack()`
    `Integer` | `getStayTime()`
    `String` | `getStyleClass()`
    `boolean` | `isAjaxRendered()`
    `boolean` | `isKeepTransient()`
    `boolean` | `isNonblocking()`
    `boolean` | `isShowCloseButton()`
    `boolean` | `isShowHistory()`
    `boolean` | `isShowShadow()`
    `boolean` | `isSticky()`
    `void` | `setAjaxRendered(boolean ajaxRendered)`
    `void` | `setAnimationSpeed(Integer animationSpeed)`
    `void` | `setAppearAnimation(String appearAnimation)`
    `void` | `setDelay(Integer delay)`
    `void` | `setHideAnimation(String hideAnimation)`
    `void` | `setKeepTransient(boolean keepTransient)`
    `void` | `setNonblocking(boolean nonblocking)`
    `void` | `setNonblockingOpacity(Double nonblockingOpacity)`
    `void` | `setShowCloseButton(boolean showCloseButton)`
    `void` | `setShowHistory(boolean showHistory)`
    `void` | `setShowShadow(boolean showShadow)`
    `void` | `setStack(String stack)`
    `void` | `setStayTime(Integer stayTime)`
    `void` | `setSticky(boolean sticky)`
    `void` | `setStyleClass(String styleClass)`

    - ### Methods inherited from class org.richfaces.component.AbstractNotifyMessages

      `updateMessages`

    - ### Methods inherited from class javax.faces.component.UIMessages

      `getFor, isGlobalOnly, isRedisplay, isShowDetail, isShowSummary, setFor, setGlobalOnly, setRedisplay, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.ClientSideMessage

      `getFor, updateMessages`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UINotifyMessages

          public UINotifyMessages()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIMessages`

    - #### isAjaxRendered

          public boolean isAjaxRendered()

      Specified by:
        `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`
      Specified by:
        `isAjaxRendered` in class `AbstractNotifyMessages`

    - #### setAjaxRendered

          public void setAjaxRendered(boolean ajaxRendered)

      Specified by:
        `setAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### getAnimationSpeed

          public Integer getAnimationSpeed()

      Specified by:
        `getAnimationSpeed` in interface `org.richfaces.component.NotifyAttributes`

    - #### setAnimationSpeed

          public void setAnimationSpeed(Integer animationSpeed)

      Specified by:
        `setAnimationSpeed` in interface `org.richfaces.component.NotifyAttributes`

    - #### getAppearAnimation

          public String getAppearAnimation()

      Specified by:
        `getAppearAnimation` in interface `org.richfaces.component.NotifyAttributes`

    - #### setAppearAnimation

          public void setAppearAnimation(String appearAnimation)

      Specified by:
        `setAppearAnimation` in interface `org.richfaces.component.NotifyAttributes`

    - #### getDelay

          public Integer getDelay()

      Specified by:
        `getDelay` in interface `org.richfaces.component.NotifyAttributes`

    - #### setDelay

          public void setDelay(Integer delay)

      Specified by:
        `setDelay` in interface `org.richfaces.component.NotifyAttributes`

    - #### getHideAnimation

          public String getHideAnimation()

      Specified by:
        `getHideAnimation` in interface `org.richfaces.component.NotifyAttributes`

    - #### setHideAnimation

          public void setHideAnimation(String hideAnimation)

      Specified by:
        `setHideAnimation` in interface `org.richfaces.component.NotifyAttributes`

    - #### isKeepTransient

          public boolean isKeepTransient()

      Specified by:
        `isKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`
      Specified by:
        `isKeepTransient` in class `AbstractNotifyMessages`

    - #### setKeepTransient

          public void setKeepTransient(boolean keepTransient)

      Specified by:
        `setKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### isNonblocking

          public boolean isNonblocking()

      Specified by:
        `isNonblocking` in interface `org.richfaces.component.NotifyAttributes`

    - #### setNonblocking

          public void setNonblocking(boolean nonblocking)

      Specified by:
        `setNonblocking` in interface `org.richfaces.component.NotifyAttributes`

    - #### getNonblockingOpacity

          public Double getNonblockingOpacity()

      Specified by:
        `getNonblockingOpacity` in interface `org.richfaces.component.NotifyAttributes`

    - #### setNonblockingOpacity

          public void setNonblockingOpacity(Double nonblockingOpacity)

      Specified by:
        `setNonblockingOpacity` in interface `org.richfaces.component.NotifyAttributes`

    - #### isShowCloseButton

          public boolean isShowCloseButton()

      Specified by:
        `isShowCloseButton` in interface `org.richfaces.component.NotifyAttributes`

    - #### setShowCloseButton

          public void setShowCloseButton(boolean showCloseButton)

      Specified by:
        `setShowCloseButton` in interface `org.richfaces.component.NotifyAttributes`

    - #### isShowHistory

          public boolean isShowHistory()

      Specified by:
        `isShowHistory` in interface `org.richfaces.component.NotifyAttributes`

    - #### setShowHistory

          public void setShowHistory(boolean showHistory)

      Specified by:
        `setShowHistory` in interface `org.richfaces.component.NotifyAttributes`

    - #### isShowShadow

          public boolean isShowShadow()

      Specified by:
        `isShowShadow` in interface `org.richfaces.component.NotifyAttributes`

    - #### setShowShadow

          public void setShowShadow(boolean showShadow)

      Specified by:
        `setShowShadow` in interface `org.richfaces.component.NotifyAttributes`

    - #### getStack

          public String getStack()

      Specified by:
        `getStack` in interface `org.richfaces.component.NotifyAttributes`

    - #### setStack

          public void setStack(String stack)

      Specified by:
        `setStack` in interface `org.richfaces.component.NotifyAttributes`

    - #### getStayTime

          public Integer getStayTime()

      Specified by:
        `getStayTime` in interface `org.richfaces.component.NotifyAttributes`

    - #### setStayTime

          public void setStayTime(Integer stayTime)

      Specified by:
        `setStayTime` in interface `org.richfaces.component.NotifyAttributes`

    - #### isSticky

          public boolean isSticky()

      Specified by:
        `isSticky` in interface `org.richfaces.component.NotifyAttributes`

    - #### setSticky

          public void setSticky(boolean sticky)

      Specified by:
        `setSticky` in interface `org.richfaces.component.NotifyAttributes`

    - #### getStyleClass

          public String getStyleClass()

      Specified by:
        `getStyleClass` in interface `org.richfaces.component.NotifyAttributes`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

      Specified by:
        `setStyleClass` in interface `org.richfaces.component.NotifyAttributes`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.